Name:         	muse
Summary:      	Midi Music Editor
Version:      	0.8
Release:      	0%{?dist}.1
License:      	GPL
Group:        	Productivity/Multimedia/Sound/Midi
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build
URL:          	http://lmuse.sf.net
Source:       	%{name}-%{version}.tar.gz
Source2:      	%name.desktop
Patch0:       	museseq-0.8-dummyaudio.patch
Patch1:	      	museseq-0-8-convert_to_lash.patch
BuildRequires:	qt-devel >= 3.2.0 fluidsynth lash-devel libsndfile-devel
BuildRequires:	libsamplerate-devel jack-audio-connection-kit-devel
Requires:	qt fluidsynth lash libsamplerate jack-audio-connection-kit
 
%description
MusE is a MIDI sequencer with recording and editing capabilities. It is
full multi-threaded with Qt3 GUI.


%debug_package
%prep
# %setup -q -n %{name}-%{package_version}
%setup
%patch0 -p1
%patch1 -p1

# rename docs
cp plugins/freeverb/readme.txt README.freeverb
cp synti/vam/README README.vam
cp synti/vam/TODO TODO.vam

%build
# export QTDIR=/usr/lib/qt3
# sh ./autogen.sh
# autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
%configure \
	--prefix=%{_prefix} 		\
	--libdir=%{_prefix}/%_lib	\
	--disable-suid-install 		\
	--disable-qttest 		\
	--with-qt-dir=/usr/%_lib/qt-3.3	\
	--with-qt-libraries=/usr/%_lib/qt-3.3/lib \
	--enable-lash
make

%install
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" SUIDINSTALL=no install

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
%{__install} %{SOURCE2} %{buildroot}%{_datadir}/applications/

%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__install} -c -m 644 packaging/muse_icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/muse.png
# convert to UTF-8
iconv -fiso8859-1 -tutf-8 README.de > README.de.UTF-8
mv -f README.de.UTF-8 README.de

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/muse
%{_datadir}/muse
/usr/share/applications/*.desktop
%{_datadir}/pixmaps/*.png
%doc AUTHORS COPYING ChangeLog NEWS README README.* SECURITY
%doc demos/*.med


%changelog
* Mon Apr 24 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Changes specific to StartCom

* Sat Mar 25 2006 - appleonkel@flashgrafik.de
- update to version 0.8
- removed rtctimerpatch
- added convert ladcca to lash
- added dummyaudio
* Thu Jan 19 2006 - appleonkel@flashgrafik.de
- update to version 0.7.2pre5
- add fixed rtctimer
* Thu Apr 14 2005 - yxu@suse.de
- fixed for GCC4
* Thu Jan 27 2005 - tiwai@suse.de
- fixed encoding of README.de (bug #50106)
* Fri Jan 21 2005 - tiwai@suse.de
- updated to version 0.7.1.
* Wed Oct 06 2004 - tiwai@suse.de
- fixed segfault when opening a project with -d option (#46814)
* Fri Sep 17 2004 - tiwai@suse.de
- removed ladcca support, which seems problematic with debug mode.
* Tue Aug 31 2004 - tiwai@suse.de
- updated to version 0.7.0.
  use the icon file included in the package.
* Wed Apr 14 2004 - tiwai@suse.de
- fixed segfault with 64bit architecture (bug #38786)
* Thu Jan 15 2004 - tiwai@suse.de
- updated to version 0.6.3.
* Mon Sep 15 2003 - tiwai@suse.de
- added desktop icon.
* Thu Sep 04 2003 - tiwai@suse.de
- fixed hang-up with softsynth (bug #29681).
- fixed the installation path and segfault on 64bit archs.
- fixed neededforbuild for ladcca support.
* Fri Aug 29 2003 - ro@suse.de
- fix build with recent jack
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file
* Tue Jul 22 2003 - tiwai@suse.de
- updated to 0.6.1.
* Thu Jun 05 2003 - ro@suse.de
- update to 0.6.0 final
- hack to build with current libtool
* Tue Apr 01 2003 - tiwai@suse.de
- updated to version 0.6.0pre7.
- removed iiwusynth temporarily for moving to fluidsynth.
* Tue Feb 25 2003 - aj@suse.de
- Add missing assert includes.
* Mon Jan 27 2003 - tiwai@suse.de
- fixed the build on x86-64 and ia64 with gcc3.3.
* Tue Jan 21 2003 - tiwai@suse.de
- fixed the jack driver for the newer version.
* Thu Jan 16 2003 - tiwai@suse.de
- updated to version 0.6.0pre5.
  rpm version is numbered as 0.6.0 w/o preX-suffix.
- added iiwusynth to neededforbuild.
* Fri Nov 22 2002 - ro@suse.de
- update to 0.6.0pre3
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Mon Aug 05 2002 - tiwai@suse.de
- updated to the new cvs snapshot.
* Wed Jul 24 2002 - tiwai@suse.de
- disalbed stk plugins.
* Thu Jun 27 2002 - tiwai@suse.de
- updated to 0.6.3 from cvs 2002.06.27.
- merged and fixed patches.
* Thu Jun 27 2002 - ro@suse.de
- use -fPIC for shared objects
* Fri May 24 2002 - meissner@suse.de
- %%_lib fixes
* Fri May 10 2002 - schwab@suse.de
- Fix PIC linking.
* Thu Apr 11 2002 - tiwai@suse.de
- fixed compile with gcc-3.1.
* Tue Apr 09 2002 - tiwai@suse.de
- updated to muse-0.5.2 (sync'ed with cvs 2002.04.09)
- using autoreconf instead of given autogen.sh script.
* Tue Mar 12 2002 - tiwai@suse.de
- added README.SuSE.
* Thu Mar 07 2002 - tiwai@suse.de
- fixed a bug in opening the help-toc file with unsupported
  locales (bug #14647).
* Fri Feb 08 2002 - tiwai@suse.de
- updated to ver.0.5.1.  sync with cvs 2002.02.08.
  the package is autotoolized now.
- fixed font loading bugs in bigtimer window.
- removed qt-designer plugin from filelist.
* Sun Feb 03 2002 - ro@suse.de
- use readlink for real qt3 dir
* Wed Jan 16 2002 - tiwai@suse.de
- added rawwaves files from stk.
  stk plugin should work now.
- creating obj directory more cleverly.
* Wed Jan 16 2002 - ro@suse.de
- use the directory not the link in the filelist
* Thu Jan 03 2002 - tiwai@suse.de
- updated to muse 0.5.0.
  changed from qt-devel-packages to qt3-devel-packages.
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages in neededforbuild
* Mon Oct 15 2001 - sf@suse.de
- added some missing includes to build with gcc > 2.95
- corrected parameter types declared as size_t, used unsigned int.
  I changed them to size_t everywhere, as size_t != unsigned int on any
  non 32-bit architecture
* Wed Oct 10 2001 - tiwai@suse.de
- updated to muse-0.4.13.
* Mon Aug 20 2001 - tiwai@suse.de
- updated to muse-0.4.8.
* Thu Aug 16 2001 - tiwai@suse.de
- updated to muse-0.4.7.
* Fri Jul 13 2001 - tiwai@suse.de
- updated to muse-0.4.4.
* Mon Jul 09 2001 - tiwai@suse.de
- fixed neededforbuild.
* Thu Jul 05 2001 - tiwai@suse.de
- updated to muse-0.4.2.
* Thu Jun 07 2001 - tiwai@suse.de
- updated to muse-0.3.20.
* Fri May 11 2001 - tiwai@suse.de
- fixed build.
* Wed May 09 2001 - tiwai@suse.de
- updated to muse-0.3.19.
* Wed Apr 11 2001 - tiwai@suse.de
- updated to muse-0.3.16.
* Wed Apr 04 2001 - tiwai@suse.de
- updated to muse-0.3.15.
* Tue Mar 20 2001 - tiwai@suse.de
- fixed neededforbuild.
* Fri Mar 16 2001 - tiwai@suse.de
- updated to muse-0.3.12.
* Mon Mar 12 2001 - tiwai@suse.de
- updated to muse-0.3.11.
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Mar 07 2001 - tiwai@suse.de
- Updated to muse-0.3.10.
* Mon Feb 26 2001 - tiwai@suse.de
- Updated to muse-0.3.9.
* Mon Feb 12 2001 - tiwai@suse.de
- Updated to muse-0.3.7.
* Fri Feb 09 2001 - tiwai@suse.de
- Updated to muse-0.3.6.
* Tue Jan 30 2001 - tiwai@suse.de
- Updated to muse-0.3.5.
* Fri Dec 01 2000 - ro@suse.de
- added liblcms to neededforbuild
* Thu Nov 23 2000 - tiwai@suse.de
- Updated to muse-0.2.12.
* Fri Nov 17 2000 - tiwai@suse.de
- Updated to muse-0.2.10.
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 08 2000 - tiwai@suse.de
- Updated to muse-0.2.7.
- Fixed to compile.
* Mon Nov 06 2000 - ro@suse.de
- fixed to compile (include spinlock before mc146818rtc)
* Fri Nov 03 2000 - tiwai@suse.de
- Updated to muse-0.2.6.
- Fixed spec file for long package-name support.
- Excluded plug-ins from provide list.
* Mon Oct 09 2000 - tiwai@suse.de
- Added libmng to neededforbuild
* Fri Oct 06 2000 - tiwai@suse.de
- Updated to muse-0.2.4
* Wed Sep 27 2000 - tiwai@suse.de
- Fixed compile for alpha and ppc.
* Tue Sep 26 2000 - tiwai@suse.de
- Update to 0.2.3
* Mon Aug 28 2000 - tiwai@suse.de
- Update to 0.2.1.
- Disable translations (due to change of qt-2.2).
* Wed Aug 02 2000 - tiwai@suse.de
- Initial version: 0.1.10.  No manual document is included.
